
/****** Object:  StoredProcedure [dbo].[SPUSS_105_LAB_KAYIT]    Script Date: 1.10.2020 10:22:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[SPUSS_105_LAB_KAYIT] 
	@HDOSYAID INT=0,
	@HTETKIKID INT=0,
	@TUMUNUTEKRAR BIT = 0	 	 
AS
BEGIN
	--SPUSS_105_LAB_KAYIT 1747693,0,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @GONDERIMTABLOSU TABLE 
		(
			GONDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPTETKIKSONUC') IS NOT NULL 
	DROP TABLE #TMPTETKIKSONUC

	IF OBJECT_ID('tempdb..#TMPTETKIK') IS NOT NULL 
	DROP TABLE #TMPTETKIK

	IF OBJECT_ID('tempdb..#TMPTETKIKKART') IS NOT NULL 
	DROP TABLE #TMPTETKIKKART

SELECT 
		HTETKIKDETAY.HTETKIKID AS HTETKIKDETAY_HTETKIKID,
		TSUTLOINC.LOINCID AS TSUTLOINC_LOINCID,
		HTETKIKDETAY.OLCUM AS HTETKIKDETAY_OLCUM,
		HTETKIKDETAY.SONUCR AS HTETKIKDETAY_SONUCR,
		HTETKIKDETAY.SONUCY AS HTETKIKDETAY_SONUCY,
		HTETKIKDETAY.BIRIM AS HTETKIKDETAY_BIRIM,
		HTETKIKDETAY.MIND AS HTETKIKDETAY_MIND,
		HTETKIKDETAY.MAXD AS HTETKIKDETAY_MAXD,
		HTETKIKDETAY.UYARIISRT AS HTETKIKDETAY_UYARIISRT,
		HTETKIKDETAY.ORNEKID AS HTETKIKDETAY_ORNEKID
    INTO #TMPTETKIKSONUC
	FROM HTETKIK WITH(NOLOCK)
	JOIN HTETKIKDETAY WITH(NOLOCK) ON HTETKIKDETAY.HTETKIKID = HTETKIK.HTETKIKID
	JOIN HESAPISL WITH(NOLOCK) ON HESAPISL.HESAPISLID=HTETKIK.HESAPISLID
	JOIN TITEM WITH(NOLOCK) ON TITEM.ITEMID = HESAPISL.ITEMID
	LEFT JOIN TSUTLOINC WITH(NOLOCK) ON TSUTLOINC.SUTLOINCID = TITEM.SUTLOINCID
	LEFT JOIN TBOLUM AS UYGBOLUM WITH(NOLOCK) ON UYGBOLUM.BOLUMID = HESAPISL.UYGBOLUMID
	WHERE HESAPISL.IPTAL = 0 AND HESAPISL.ONAYLI = 1 AND HESAPISL.TEKLIF = 0 
		AND UYGBOLUM.KLINIKKODU NOT IN ('182', '194', '155' ,'104', '130', '178')
		AND HTETKIK.HDOSYAID = @HDOSYAID 
	ORDER BY HTETKIK.HTETKIKID, HESAPISL.HESAPISLID, HTETKIKDETAY.HTETKIKDETAYID 

	SELECT	HTETKIK.HTETKIKID AS HTETKIK_HTETKIKID,
			HTETKIK.HTETKIKKARTID AS HTETKIK_HTETKIKKARTID,
			HTETKIK.HESAPISLID AS HTETKIK_HESAPISLID,
			CASE WHEN HTETKIK.ORNEKTARIHI IS NULL THEN HESAPISL.ITARIH ELSE HTETKIK.ORNEKTARIHI END AS HTETKIK_ORNEKTARIHI,
			HTETKIK.KABULTARIH AS HTETKIK_KABULTARIH,
			CASE WHEN (HTETKIK.ONAYZAMANI IS NULL) OR (HTETKIK.ONAYZAMANI<HESAPISL.ITARIH) THEN HESAPISL.ITARIH ELSE HTETKIK.ONAYZAMANI END AS HTETKIK_SONUCTARIH,
			HESAPISL.ITARIH AS HESAPISL_ITARIH,
			CASE WHEN (HTETKIK.ONAYZAMANI IS NULL) OR (HTETKIK.ONAYZAMANI<HESAPISL.ITARIH) THEN HESAPISL.ITARIH ELSE HTETKIK.ONAYZAMANI END AS HTETKIK_ONAYZAMANI,
			HTETKIK.AccessionNo AS HTETKIK_AccessionNo,
			HTETKIK.DURUM AS HTETKIK_DURUM,
			HTETKIK.NUMUNEDOKUOZELID AS HTETKIK_NUMUNEDOKUOZELID,
			HTETKIK.NUMUNEALINMASEKLIID AS HTETKIK_NUMUNEALINMASEKLIID,
			HTETKIK.PATPREPARATDRMID AS HTETKIK_PATPREPARATDRMID,
			HTETKIK.ICDOYERLESIMYERIKOD AS HTETKIK_ICDOYERLESIMYERIKOD,
			HTETKIK.MORFOLOJIKOD AS HTETKIK_MORFOLOJIKOD,
			HTETKIK.TETKIKDOKTORID AS HTETKIK_TETKIKDOKTORID,
			HESAPISL.SNOGONDERILDI AS HESAPISL_SNOGONDERILDI,
			HESAPISL.HESAPISLID AS HESAPISL_HESAPISLID,
			TITEM.ITEMADI AS TITEM_ITEMADI,
			ISTDR.DRTCKIMLIKNO AS ISTDR_DRTCKIMLIKNO,
			UYGDR.DRTCKIMLIKNO AS UYGDR_DRTCKIMLIKNO,
			ISNULL((SELECT TOP 1 LTRIM(STR( HTETKIKDETAY_ORNEKID,25,0)) FROM #TMPTETKIKSONUC WHERE HTETKIKDETAY_HTETKIKID = HTETKIK.HTETKIKID ),'') AS HTETKIKDETAY_ORNEKID
	 INTO #TMPTETKIK
	 FROM   HTETKIK WITH(NOLOCK)
			JOIN HESAPISL WITH(NOLOCK) ON HESAPISL.HESAPISLID=HTETKIK.HESAPISLID 
			JOIN TITEM WITH(NOLOCK) ON TITEM.ITEMID = HESAPISL.ITEMID
            LEFT JOIN TBOLUM AS UYGBOLUM WITH(NOLOCK) ON UYGBOLUM.BOLUMID = HESAPISL.UYGBOLUMID
			LEFT JOIN TDRKIMLIK ISTDR ON ISTDR.DRID = HESAPISL.ISTDRID
			LEFT JOIN TDRKIMLIK UYGDR ON UYGDR.DRID = HESAPISL.UYGDRID
	WHERE HESAPISL.IPTAL = 0 AND HESAPISL.ONAYLI = 1 AND HESAPISL.SNKAYDET=1 AND HESAPISL.TEKLIF = 0 
			AND UYGBOLUM.KLINIKKODU NOT IN ('182', '194', '155' ,'104', '130', '178')
			AND HESAPISL.SNKAYDET=1 AND HTETKIK.HDOSYAID = @HDOSYAID 
			--AND (@TUMUNUTEKRAR=1 OR (@TUMUNUTEKRAR=0 AND ISNULL(HTETKIK.USSTETKIKGONDERILDI,0)=0))			
	ORDER BY HTETKIK.HTETKIKID, HESAPISL.HESAPISLID


	SELECT 	SUBELER.SUBEADI AS SUBELER_SUBEADI,			
			HDOSYA.SUBEID AS HDOSYA_SUBEID,
			HDOSYA.SNOTAKIPNO AS HDOSYA_SNOTAKIPNO,
			HTETKIK.HTETKIKID AS HTETKIKKART_HTETKIKKARTID,			
			HTETKIK.KABULTARIH AS HTETKIKKART_ILKGIRISTRH,
			HTETKIK.KABULTARIH AS HTETKIKKART_GIRISTARIH,
			HKIMLIK.HADI AS HKIMLIK_HADI,
			HKIMLIK.HSOYADI AS HKIMLIK_HSOYADI,
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') AS SAGLIKNETKURUMKODU				
	INTO #TMPTETKIKKART
	FROM	HDOSYA WITH(NOLOCK)
	LEFT JOIN SUBELER WITH(NOLOCK) ON SUBELER.SUBEID = HDOSYA.SUBEID
	LEFT JOIN HTETKIK WITH(NOLOCK) ON HTETKIK.HDOSYAID = HDOSYA.HDOSYAID
	LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID  = HDOSYA.HKIMLIKID    
	WHERE   HDOSYA.HDTEKLIF = 0
		AND HDOSYA.HDOSYAID = @HDOSYAID


	IF (SELECT COUNT(*) FROM #TMPTETKIKKART) = 0 
	BEGIN
		SET @SAYIHATA=1
		SET @MESAJ = @MESAJ + 'Dosyaya ait tetkik kaydı bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPTETKIKKART WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'İşlemin şube kaydı bulunamadı! '

	IF (SELECT HTETKIKKART_HTETKIKKARTID FROM #TMPTETKIKKART WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine tetkik kaydı yapılamaz. '

   	IF @HATA='' AND @SAYIHATA = 0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPTETKIKKART
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=@HATA + HATA, @MESAJ= @MESAJ + MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END

	IF @HATA = '' AND @SAYIHATA = 0
	BEGIN

		--HER TETKIK KARTI AYRI AYRI GONDER DONGUSU
   		DECLARE @CURHTETKIKKARTID INT
		DECLARE CURTETKIKKART CURSOR FOR SELECT HTETKIKKART_HTETKIKKARTID FROM #TMPTETKIKKART
		OPEN CURTETKIKKART
		FETCH NEXT FROM CURTETKIKKART INTO @CURHTETKIKKARTID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

					/*IF (SELECT COUNT(*) FROM #TMPTETKIK WHERE HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID) = 0
					BEGIN
						SET @SAYIHATA = 1
						SET @MESAJ = @MESAJ + 'Tetkik kartı için USS''ye gönderilecek tetkik bulunmamaktadır! '
					END */

					IF EXISTS(SELECT * FROM #TMPTETKIK WHERE HTETKIK_DURUM<>2 AND HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID)
						SET @HATA = @HATA + ISNULL((SELECT TOP 1 ISNULL(HKIMLIK_HADI,'') + ' ' + ISNULL(HKIMLIK_HSOYADI,'') + '''e ' + ISNULL(CONVERT(VARCHAR,HTETKIKKART_GIRISTARIH),'') +' tarihinde yapılan ' +TITEM_ITEMADI FROM #TMPTETKIKKART JOIN  #TMPTETKIK ON HTETKIKKART_HTETKIKKARTID=HTETKIK_HTETKIKKARTID WHERE HTETKIK_DURUM<>2 AND HTETKIKKART_HTETKIKKARTID=@CURHTETKIKKARTID ),'') + + ' işlemi tamamlanmamış durumdadır. '

					IF EXISTS(SELECT * FROM #TMPTETKIK WHERE ISNULL(HESAPISL_SNOGONDERILDI,0)<>1 AND HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID)
						SET @HATA = @HATA + ISNULL((SELECT TOP 1 ISNULL(HKIMLIK_HADI,'') + ' ' + ISNULL(HKIMLIK_HSOYADI,'') + '''e ' + ISNULL(CONVERT(VARCHAR,HTETKIKKART_GIRISTARIH),'') +' tarihinde yapılan ' +TITEM_ITEMADI FROM #TMPTETKIKKART JOIN  #TMPTETKIK ON HTETKIKKART_HTETKIKKARTID=HTETKIK_HTETKIKKARTID WHERE ISNULL(HESAPISL_SNOGONDERILDI,0)<>1  AND HTETKIKKART_HTETKIKKARTID=@CURHTETKIKKARTID ),'')++ ' işlemi USS''ye hizmet gönderimini yapınız '

					/*IF EXISTS(SELECT HTETKIK_HTETKIKID FROM #TMPTETKIK WHERE  ISNULL(ISTDR_DRTCKIMLIKNO,'')='')
						SET @HATA = @HATA + ' ' + 'Tetkik istemini yapan doktorun TC Kimlik numarası tanımlanmamış. '

					IF EXISTS(SELECT HTETKIK_HTETKIKID FROM #TMPTETKIK WHERE  ISNULL(UYGDR_DRTCKIMLIKNO,'')='')
						SET @HATA = @HATA + ' ' + 'Tetkiki uygulayan doktorun TC Kimlik Numarası tanımlanmamış. ' */

					--IF EXISTS(SELECT HTETKIK_HTETKIKID FROM #TMPTETKIK WHERE  ISNULL(HTETKIK_SONUCTARIH,'')='')
						--SET @HATA = @HATA + ' ' + 'Tetkikin sonuç zamanı (raporlama tarihi) girilmemiş. '


					IF @HATA = '' AND @SAYIHATA=0
					BEGIN
						BEGIN TRY 
							INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT							 
								(

									SELECT NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' AS 'messageType/@codeSystemGuid',
										   '105' AS 'messageType/@code',
										   'Laboratuvar Sonuç Kayıt' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) AS 'documentGenerationTime/@value',
										   (
												SELECT '1' AS 'healthcareProvider/@version',
														'c3eade04-4f91-5dab-e043-14031b0ac9f9' AS 'healthcareProvider/@codeSystemGuid',
														SAGLIKNETKURUMKODU AS 'healthcareProvider/@code',
														SUBELER_SUBEADI AS 'healthcareProvider/@value'
												FOR XML PATH('author'), TYPE
											),
											'C740D0288ED4C45FE0407C0A04162BDD' AS 'firmaKodu/@value',
											(
												SELECT
													(
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													),
													(
														SELECT						
															LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HTETKIKKART_ILKGIRISTRH,120),' ',''),'-',''),':',''),12) AS 'PAKETE_AIT_ISLEM_ZAMANI/@value',
															(
																SELECT 
																	ISNULL(HESAPISL_HESAPISLID, '') AS 'ISLEM_REFERANS_NUMARASI/@value',
																	CASE WHEN ISNULL(HTETKIKDETAY_ORNEKID,'')='' THEN HTETKIK_HTETKIKID ELSE HTETKIKDETAY_ORNEKID END AS 'TETKIK_ORNEK_NUMARASI/@value',
																	ISNULL(LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HTETKIK_ORNEKTARIHI,120),' ',''),'-',''),':',''),12), '') AS 'TETKIK_ORNEGININ_ALINDIGI_ZAMAN/@value',
																	ISNULL((SELECT CASE
																		WHEN HTETKIK_KABULTARIH IS NULL 
																		THEN
																			LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HESAPISL_ITARIH,120),' ',''),'-',''),':',''),12)
																		ELSE
																			LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19), HTETKIK_ORNEKTARIHI,120),' ',''),'-',''),':',''),12)
																		END),'') AS 'TETKIK_ORNEGININ_KABUL_ZAMANI/@value',
																	ISNULL(LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HTETKIK_SONUCTARIH,120),' ',''),'-',''),':',''),12), '') AS 'TETKIK_SONUC_TARIHI/@value',
																	ISNULL(LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HTETKIK_ONAYZAMANI,120),' ',''),'-',''),':',''),12), '') AS 'TETKIK_SONUC_ONAY_TARIHI/@value',
																	ISNULL(HTETKIK_AccessionNo, '') AS 'SONUC_DIS_ERISIM_BILGISI/@value',
																	(
																		SELECT 
																			ISNULL(TSUTLOINC_LOINCID, '') AS 'LOINC_KODU/@value',
																			ISNULL(HTETKIKDETAY_OLCUM, '') AS 'TETKIK_SONUC_PARAMETRE_ADI/@value',
																			ISNULL((SELECT 																																
																					CASE
																					WHEN HTETKIKDETAY_SONUCY IS NULL AND HTETKIKDETAY_SONUCR IS NULL 
																					THEN '.'
																					WHEN HTETKIKDETAY_SONUCR IS NULL 
																					THEN
																						HTETKIKDETAY_SONUCY
																					ELSE
																						REPLACE(LTRIM(STR(HTETKIKDETAY_SONUCR,25,5)),'.',',')
																					END),'') AS 'TETKIK_SONUCU/@value',										
																			REPLACE(REPLACE(ISNULL(HTETKIKDETAY_BIRIM, ''),' ',''),' ','') AS 'TETKIK_SONUCU_BIRIMI/@value',
																			ISNULL(CAST(CAST(HTETKIKDETAY_MIND AS FLOAT(20)) AS VARCHAR(20)), '') + '-' + ISNULL(CAST(CAST(HTETKIKDETAY_MAXD AS FLOAT(20)) AS VARCHAR(20)), '') AS 'TETKIK_SONUCU_REFERANS_DEGERI/@value',
																			CASE WHEN ISNULL(HTETKIKDETAY_UYARIISRT,'') = '' THEN '1' ELSE '0' END AS 'TETKIK_SONUCU_REFERANS_DEGER_ARALIGINDA_MI/@value'
																		FROM #TMPTETKIKSONUC
																		WHERE HTETKIKDETAY_HTETKIKID = HTETKIK_HTETKIKID
																		FOR XML PATH('TETKIK_SONUC_BILGISI'), TYPE
																	  )
																FROM #TMPTETKIK
																--WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
																FOR XML PATH('TETKIK_BILGISI'), TYPE
															)
														FOR XML PATH('TETKIK_SONUC_BILGILERI'), TYPE
													)
												FOR XML PATH('recordData'), TYPE
											)
									FROM #TMPTETKIKKART
									WHERE HTETKIKKART_HTETKIKKARTID = @CURHTETKIKKARTID

									FOR XML PATH(''), ROOT('SYSMessage')


								) AS GONDERILECEKXML,
								@HATA AS HATA, 
								@MESAJ AS MESAJ,
								@XMLBASLIK AS XMLBASLIK,
								@CURHTETKIKKARTID AS TABLOID,
								0 AS MINID,
								0 AS MAXID

						END TRY
						BEGIN CATCH
							SET @HATA = ERROR_MESSAGE()
							IF @HATA = ''
								SET @HATA = 'Bilinmeyen bir hata oluştu'

							INSERT INTO ZAMANLAYICIHATALARI (HDOSYAID,ISLEMKODU,TABLOID,HATAVEREN,HATAKODU,HATA,MESAJ,OLUSTURULMAZAMANI)
							SELECT @HDOSYAID,'105',@CURHTETKIKKARTID,'SP','',@HATA,@MESAJ,GETDATE()
						
							INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS GONDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURHTETKIKKARTID AS TABLOID,
									0 AS MINID,
									0 AS MAXID
			

						END CATCH
					END
					ELSE
					BEGIN
						IF @HATA<>''
							INSERT INTO ZAMANLAYICIHATALARI (HDOSYAID,ISLEMKODU,TABLOID,HATAVEREN,HATAKODU,HATA,MESAJ,OLUSTURULMAZAMANI)
							SELECT @HDOSYAID,'105',@CURHTETKIKKARTID,'SP','',@HATA,@MESAJ,GETDATE()

						INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
						SELECT	'' AS GONDERILECEKXML,
								LEFT(@HATA,2000) AS HATA, 
								@MESAJ AS MESAJ,
								'' AS XMLBASLIK,
								@CURHTETKIKKARTID AS TABLOID,
								0 AS MINID,
								0 AS MAXID

						SET @HATA = ''			 
					END




			FETCH NEXT FROM CURTETKIKKART INTO @CURHTETKIKKARTID 
			END --son HER TETKIK KARTI AYRI AYRI GONDER DONGUSU
	

		CLOSE CURTETKIKKART
		DEALLOCATE CURTETKIKKART

	END
	ELSE
	BEGIN
		IF @HATA<>''
		INSERT INTO ZAMANLAYICIHATALARI (HDOSYAID,ISLEMKODU,TABLOID,HATAVEREN,HATAKODU,HATA,MESAJ,OLUSTURULMAZAMANI)
			SELECT @HDOSYAID,'105',@CURHTETKIKKARTID,'SP','',@HATA,@MESAJ,GETDATE()

		INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS GONDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@HTETKIKID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''	
	END
	
	IF OBJECT_ID('tempdb..#TMPTETKIKSONUC') IS NOT NULL 
	DROP TABLE #TMPTETKIKSONUC

	IF OBJECT_ID('tempdb..#TMPTETKIK') IS NOT NULL 
	DROP TABLE #TMPTETKIK

	IF OBJECT_ID('tempdb..#TMPTETKIKKART') IS NOT NULL 
	DROP TABLE #TMPTETKIKKART


	SELECT * FROM @GONDERIMTABLOSU


END
